/*
 ------------------------------
 Hermes FTP Server
 Copyright (c) 2006 Lars Behnke
 ------------------------------

 This file is part of Hermes FTP Server.

 Hermes FTP Server is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Foobar is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Foobar; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package net.sf.hermesftp.cmd;

import java.util.List;

/**
 * Interface implemented by FTP commands that must know about the parser and container they reside
 * in. Currently only the help commands needs to implement this interface.
 *
 * @author Lars Behnke
 *
 */
public interface CmdListAware {

    /**
     * Passes a list of all known commands, including the not implemented commands.
     *
     * @param cmdList The list of all available commands.
     */
    void setList(List cmdList);

}
